<?php
/**
*	此文件是流程模块【wzgl.位置管理】对应控制器接口文件。
*/ 
class mode_aqyk_wzglClassAction extends inputAction{
	
	/**
	*	重写函数：保存前处理，主要用于判断是否可以保存
	*	$table String 对应表名
	*	$arr Array 表单参数
	*	$id Int 对应表上记录Id 0添加时，大于0修改时
	*	$addbo Boolean 是否添加时
	*	return array('msg'=>'错误提示内容','rows'=> array()) 可返回空字符串，或者数组 rows 是可同时保存到数据库上数组
	*/
	protected function savebefore($table, $arr, $id, $addbo){
		
	}
	
	/**
	*	重写函数：保存后处理，主要保存其他表数据
	*	$table String 对应表名
	*	$arr Array 表单参数
	*	$id Int 对应表上记录Id
	*	$addbo Boolean 是否添加时
	*/	
	protected function saveafter($table, $arr, $id, $addbo){
		
	}
	
	public function aqyk_address_element()
    {
	$flow_set = m('flow_set')->getone("`table` = 'aqyk_home_nav'");
        $mid = $flow_set['id'];
        $flow_element = m('flow_element')->getone("`mid` = $mid and `fields`='type'");
        $arr = explode(',',$flow_element['data']);
        $result = [];
        foreach ($arr as $key=> $item){
            $result[] = array("name"=>$item,"value"=>$item);
        }
        return $result;	
    }
}	
			
